using Microsoft.AspNetCore.Identity;
using Sequence.Entities;

namespace Sequence.Services;

public interface ICardService
{
    Task<Match> CreateMatchAsync(Guid userIdOne, Guid userIdTwo);
    ICollection<Card> GetCards();
}

public class EntityCardService : ICardService
{
    private readonly DbContext context;

    public EntityCardService(DbContext context)
    {
        this.context = context;
    }

    public async Task<Match> CreateMatchAsync(Guid userIdOne, Guid userIdTwo)
    {
        throw new NotImplementedException();

        var userOne = await context.FindAsync<User>(userIdOne);
        var userTwo = await context.FindAsync<User>(userIdTwo);

        
    }

    public ICollection<Card> GetCards()
    {
        throw new NotImplementedException();
    }
}